#include <iostream>
#include <stdio.h>
#include <math.h>
using namespace std;

int main()
{
    int n, m;
    scanf("%d%d",&n,&m);int a,b,t;
    for(int i=0;i<m;i++)
        scanf("%d%d%d",&a,&b,&t);
    int u,v;
    scanf("%d%d",&u,&v);


   int r=-1;
    printf("%d",r);


    return 0;
}